function [IntGaps] = mInternalGapCounter(Seq)
%mInternalGapCounter.m

%Seq = ['-aggc---uc-ca--'];
%Seq = ['---------------'];

%X= find(Seq ~='-');
X= find((Seq(1,:)~='-')&(Seq(1,:)~='o'));
if ~isempty(X)
    IntGaps = length(find(Seq(X(1):X(length(X)))=='-'));
else IntGaps = 0;
end